/*
 * Copyright (c) 2015 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kniss
 *
 * This file is part of de.bsvrz.kex.tls.osi7.conversion.nw.vrz.NewRoutingHeuschBoesefeldtDefault
 *
 * de.bsvrz.kex.tls.osi7.conversion.nw.vrz.NewRoutingHeuschBoesefeldtDefault is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.nw.vrz.NewRoutingHeuschBoesefeldtDefault is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with de.bsvrz.kex.tls.osi7.conversion.nw.vrz.NewRoutingHeuschBoesefeldtDefault.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Diese Datei ist Teil von de.bsvrz.kex.tls.osi7.conversion.nw.vrz.NewRoutingHeuschBoesefeldtDefault.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.nw.vrz.NewRoutingHeuschBoesefeldtDefault ist Freie Software: Sie können es unter den Bedingungen
 *  der GNU General Public License, wie von der Free Software Foundation,
 *  Version 3 der Lizenz oder (nach Ihrer Wahl) jeder späteren
 *  veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.nw.vrz.NewRoutingHeuschBoesefeldtDefault wird in der Hoffnung, dass es nützlich sein wird, aber
 *  OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 *  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 *  Siehe die GNU General Public License für weitere Details.
 *
 *  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 *  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * inovat, Dipl.-Ing. H. C. Kniss
 * An der Krautwiese 37
 * D-53783 Eitorf
 * +49 (0)2243 8464 193
 * info@inovat.de
 * www.inovat.de
 */

package de.bsvrz.kex.tls.osi7.conversion.nw.vrz;

/**
 * Legt die Tabelle mit den Knotennummernpaaren (Knotennummer-SSt, Knotennummer-UZ) fest, bei denen beim Versand die
 * Zieladresse abweichend von der logisch adressierten Knotennummer ist.
 *
 * @author inovat
 * @author Dipl.-Ing. Hans Chrstian Kniß (HCK)
 * @version $Revision$ / $Date$ / ($Author$)
 */

public class NewRoutingHeuschBoesefeldtDefault {
	// ------------------------------------------------------------------------
	// VARIABLENDEKLARATIONEN
	// ------------------------------------------------------------------------

	// Sonstige ---------------------------------------------------------------
	// Tabelle mit den Knotennummernpaaren (Knotennummer-SSt, Knotennummer-UZ)
	private static final int[][] _newRouting = {{2575685, 587846}, // SS_WW.A1_1.Lev.S.a
	                                            {2575698, 587846}, // SS_WW.A1_2.Lev.S.b
	                                            {2794293, 587846}, // SS_WW.A3_11.Lev.S.a
	                                            {2793988, 587846}, // SS_WW.A3_12.Lev.S.b
	                                            {2792481, 587846}, // SS_WW.A3_15.Heum.N.a
	                                            {2792475, 587846}, // SS_WW.A3_16.Heum.N.b
	                                            {2574615, 587590}, // SS_WW.A1_3.Bockl.S.a
	                                            {2574379, 587590}, // SS_WW.A1_5.Kln-W.S.a
	                                            {2574341, 587590}, // SS_WW.A1_6.Kln-W.S.b
	                                            {2572559, 587590}, // SS_WW.A1_8.Erftt.N.b
	                                            {2573590, 587590}, // SS_WW.A1_9.Kln-W.N.a
	                                            {2573581, 587590}, // SS_WW.A1_10.Kln-W.N.
	                                            {2845458, 587590}, // SS_WW.A4_24.Kln-W.W.
	                                            {3013634, 587590}, // SS_WW.A57_28.Kln-N.S
	                                            {2872578, 580166}, // SS_WW.A40Kaib.O.b
	                                            {2797834, 580166}, // SS_WW.A3Obhsn.S.b
	                                            {2797068, 580166}, // SS_WW.A3OB-W.N.b
	                                            {2883072, 580166}, // SS_WW.A42OB-W.O.b
	                                            {2844482, 587078}, // SS_WW.A4_17.Kerp.O.a
	                                            {2844490, 587078}, // SS_WW.A4_18.Kerp.O.b
	                                            {3075110, 587078}, // SS_WW.A61_33.Kerp.S.
	                                            {3075116, 587078}, // SS_WW.A61_34.Kerp.S.
	                                            {2845017, 587078}, // SS_WW.A4_19.Kln-W.O.
	                                            {2845032, 587078}, // SS_WW.A4_20.Kln-W.O.
	                                            {2881026, 583750}, // SS_WW.A40DO-W.O.b
	                                            {2581026, 584262}, // SS_WW.A1Kamen.S.b
	                                            {2679830, 584262}, // SS_WW.A2Kamen.W.b
	                                            {2906379, 584006}, // SS_WW.A44DO-U.W.b
	                                            {2890247, 576582}, // SS_WW.A43BO.N.b
	                                            {2678834, 576582}, // SS_WW.A2DO-NW.W.b
	                                            {2678296, 576582}, // SS_WW.A2DO-NW.O.b
	                                            {2891264, 576582}, // SS_WW.A43HER.N.b
	                                            {2677504, 576582}, // SS_WW.A2Reckl.W.b
	                                            {2892051, 576582}, // SS_WW.A43Reckl.S.b
	                                            {2578724, 585030}, // SS_WW.A1Westh.N.b
	                                            {2925582, 585030}, // SS_WW.A45Westh.N.b
	                                            {2887945, 576838}, // SS_WW.A42CR-O.O.b
	                                            {2886665, 576838},  // SS_WW.A42HER.W.b

	                                            // FG 3 GMA-Stationen
	                                            {1528067, 587078},  // UZ Dueren mit GMA 44.010
	                                            {1631504, 587078},  // UZ Dueren mit GMA 61.040
	                                            {1105433, 580166},  // UZ Duisburg mit G 3/010
	                                            {1106461, 580166},  // UZ Duisburg mit G 3/020
	                                            {1107968, 580166},  // UZ Duisburg mit G 3/030
	                                            {1502724, 580166},  // UZ Duisburg mit G 40/030
	                                            {1513492, 580166},  // UZ Duisburg mit G 42/010
	                                            {1611268, 580166},  // UZ Duisburg mit G 59/010
	                                            {1500928, 2570310}, // UZ Kaarst mit G 40/010
	                                            {1501469, 2570310}, // UZ Kaarst mit G 40/020
	                                            {1532683, 2570310}, // UZ Kaarst mit G 44/020
	                                            {1565724, 2570310}, // UZ Kaarst mit G 46/010
	                                            {1597198, 2570310}, // UZ Kaarst mit G 57/010
	                                            {1595904, 2570310}, // UZ Kaarst mit G 57/020
	                                            {1600524, 2570310}, // UZ Kaarst mit G 57/030
	                                            {1603910, 2570310}, // UZ Kaarst mit G 57/040
	                                            {1627922, 2570310}, // UZ Kaarst mit G 61/010
	                                            {1058076, 587590},  // UZ Koeln mit GMA 1.040
	                                            {1855488, 587590},  // UZ Koeln mit GMA 124.010
	                                            {1150999, 587590},  // UZ Koeln mit GMA 4.080
	                                            {1604668, 587590},  // UZ Koeln mit GMA 57.050
	                                            {1057375, 587846},  // UZ Leverkusen mit GMA 1.020
	                                            {1057793, 587846},  // UZ Leverkusen mit GMA 1.030
	                                            {1111552, 587846},  // UZ Leverkusen mit GMA 3.050
	                                            {1112848, 587846},  // UZ Leverkusen mit GMA 3.060
	                                            {1113348, 587846},  // UZ Leverkusen mit GMA 3.070
	                                            {1568017, 587846},  // UZ Leverkusen mit GMA 46.020
	                                            {1568045, 587846},  // UZ Leverkusen mit GMA 46.030
	                                            {1613315, 587846},  // UZ Leverkusen mit GMA 59.020
	                                            {1613318, 587846},  // UZ Leverkusen mit GMA 59.025
	                                            {1109300, 2571846}, // UZ Ratingen mit G 3/040
	                                            {1535249, 2571846}, // UZ Ratingen mit G 44/010
	                                            {1592623, 2571846}, // UZ Ratingen mit G 52/020
	                                            {1056033, 520262},  // UZ Remscheid mit GMA 1.010
	                                            {1113377, 520262},  // UZ Remscheid mit GMA 3.080
	                                            {1115908, 520262},  // UZ Remscheid mit GMA 3.090
	                                            {1152802, 520262},  // UZ Remscheid mit GMA 4.090
	                                            {1153623, 520262},  // UZ Remscheid mit GMA 4.100
	                                            {1154576, 520262},  // UZ Remscheid mit GMA 4.105
	                                            {1155330, 520262},  // UZ Remscheid mit GMA 4.110
	                                            {1568512, 520262},  // UZ Remscheid mit GMA 418.010
	                                            {1569551, 520262},  // UZ Remscheid mit GMA 46.035
	                                            {1570820, 520262},  // UZ Remscheid mit GMA 46.040
	                                            {1857815, 520262},  // UZ Remscheid mit GMA 560.010
	                                            {1529375, 2579526}, // UZ Titz mit G 44/030
	                                            {1587204, 2579526}, // UZ Titz mit G 52/010
	                                            {1629184, 2579526}, // UZ Titz mit G 61/020
	                                            {1630208, 2579526}, // UZ Titz mit G 61/030
	};

	// ------------------------------------------------------------------------
	// STATISCHE METHODEN
	// ------------------------------------------------------------------------

	/**
	 * Gibt die Tabelle mit den Knotennummernpaaren (Alte OSI7-Adresse, Neue OSI7-Adresse) zurück, bei denen beim Versand
	 * die Zieladresse abweichend von der logisch adressieren Knotennummer ist.
	 *
	 * @return Die Tabelle mit den Knotennummernpaaren (Alte OSI7-Adresse, Neue OSI7-Adresse).
	 */
	public static int[][] getNewRouting() {
		return _newRouting;
	}
}